Bug 34002 - infinite loop in pipeline processing in admin area
infinite loop in pipeline processing in admin area
Status: RESOLVED FIXED
Product: Lenya
Classification: Unclassified
Component: Miscellaneous
Trunk
PC Linux
: P2 normal
: 1.4
Assigned To: Lenya Developers
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2005-03-14 09:47 UTC by Joachim Wolfgang Kaltz
Modified: 2005-04-17 16:08 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joachim Wolfgang Kaltz 2005-03-14 09:47:56 UTC
When accessing the (invalid) URL "default/admin/users", either because the URL
is entered by hand, or because an overview page contains an incorrect link, an
infinite loop is triggered, ultimately resulting in the servlet container going
out of memory.

According to the log, the request results in 
"internal/users" and "default/admin/sitetree/internal/users.xml"
then (down the road)
"internal/internal/users" and "default/admin/sitetree/internal/internal/user.xml"
and so on.
Comment 1 Joachim Wolfgang Kaltz 2005-03-14 09:49:15 UTC
Note: Gregor says, this will likely go away with the migration of the remaining
admin usecases to uc fw. the problem seems to be in a view pipeline.
Comment 2 Gregor J. Rothfuss 2005-04-18 00:08:46 UTC
this has been fixed